:root {
    --grid-gutter-width: 20px;
    --grid-gutter-base: calc(var(--grid-gutter-width) / 2);

    /*breakpoints*/
    --grid-breakpoint-xs: 0;
    --grid-breakpoint-sm: 480px;
    --grid-breakpoint-md: 768px;
    --grid-breakpoint-lg: 1200px;
    --grid-breakpoint-xl: 1600px;

    /*container-max-widths*/
    --container-max-width-xs: calc(84% + var(--grid-gutter-width));
    --container-max-width-sm: calc(84% + var(--grid-gutter-width));
    --container-max-width-md: calc(87.5% + var(--grid-gutter-width) + 4px);
    --container-max-width-lg: calc(89.5% + var(--grid-gutter-width) + 4px);
    --container-max-width-xl: 1440px;
}

@media (min-width: 768px /*--grid-breakpoint-md*/
) {
    :root {
        --grid-gutter-width: 24px;
    }
}

html {
    box-sizing: border-box;
    -ms-overflow-style: scrollbar;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

.container,
.container-fluid,
.container-md {
    width: 100%;
    padding-right: var(--grid-gutter-base);
    padding-left: var(--grid-gutter-base);
    margin-right: auto;
    margin-left: auto;
}

.container {
    max-width: var(--container-max-width-sm)
}

@media (min-width: 480px /*--grid-breakpoint-sm*/
) {
    .container {
        max-width: var(--container-max-width-sm)
    }
}

@media (min-width: 768px /*--grid-breakpoint-md*/
) {
    .container {
        max-width: var(--container-max-width-md);
    }
}

@media (min-width: 1200px /*--grid-breakpoint-lg*/
) {
    .container {
        max-width: var(--container-max-width-lg);
    }
}

@media (min-width: 1600px /*--container-max-width-xl*/
) {
    .container {
        max-width: var(--container-max-width-xl);
    }
}

.row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: calc(var(--grid-gutter-base) * -1);
    margin-left: calc(var(--grid-gutter-base) * -1);
}

.col-xl,
.col-xl-auto, .col-xl-12, .col-xl-11, .col-xl-10, .col-xl-9, .col-xl-8, .col-xl-7, .col-xl-6, .col-xl-5, .col-xl-4, .col-xl-3, .col-xl-2, .col-xl-1, .col-lg,
.col-lg-auto, .col-lg-12, .col-lg-11, .col-lg-10, .col-lg-9, .col-lg-8, .col-lg-7, .col-lg-6, .col-lg-5, .col-lg-4, .col-lg-3, .col-lg-2, .col-lg-1, .col-md,
.col-md-auto, .col-md-12, .col-md-11, .col-md-10, .col-md-9, .col-md-8, .col-md-7, .col-md-6, .col-md-5, .col-md-4, .col-md-3, .col-md-2, .col-md-1, .col-sm,
.col-sm-auto, .col-sm-12, .col-sm-11, .col-sm-10, .col-sm-9, .col-sm-8, .col-sm-7, .col-sm-6, .col-sm-5, .col-sm-4, .col-sm-3, .col-sm-2, .col-sm-1, .col,
.col-auto, .col-12, .col-11, .col-10, .col-9, .col-8, .col-7, .col-6, .col-5, .col-4, .col-3, .col-2, .col-1 {
    position: relative;
    width: 100%;
    padding-right: var(--grid-gutter-base);
    padding-left: var(--grid-gutter-base);
}

.col {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
}

.col-6 {
   flex: 0 0 50%;
   max-width: 50%
}

.col-12 {
   flex: 0 0 100%;
   max-width: 100%;
}

.order-0 {
    -ms-flex-order: 0;
    order: 0;
}

.order-1 {
    -ms-flex-order: 1;
    order: 1;
}

.order-2 {
    -ms-flex-order: 2;
    order: 2;
}

.d-none {
    display: none;
}

.d-block {
    display: block;
}

.mve-stack-mt-32 {
    margin-top: 2rem;
}

.mve-stack-mt-48 {
    margin-top: 3rem;
}

.mve-stack-mt-64 {
    margin-top: 4rem;
}

.mve-stack-mt-96 {
    margin-top: 6rem;
}

.mve-stack-mb-32 {
    margin-bottom: 2rem;
}

.mve-stack-mb-48 {
    margin-bottom: 3rem;
}

.mve-stack-mb-64 {
    margin-bottom: 4rem;
}

.mve-stack-mb-96 {
    margin-bottom: 6rem;
}

@media (min-width: 768px /*--grid-breakpoint-md*/
) {
    .col-md-5 {
        -ms-flex: 0 0 41.666667%;
        flex: 0 0 41.666667%;
        max-width: 41.666667%;
    }

    .col-md-6 {
        -ms-flex: 1 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }

    .order-md-1 {
        -ms-flex-order: 1;
        order: 1;
    }

    .order-md-2 {
        -ms-flex-order: 2;
        order: 2;
    }

    .offset-md-2 {
        margin-left: 16.666667%;
    }

    .d-md-block {
        display: block;
    }

    .d-md-none {
        display: none;
    }

    .mve-stack-mt-md-16 {
        margin-top: 1rem;
    }

    .mve-stack-mt-md-32 {
        margin-top: 2rem;
    }

    .mve-stack-mt-md-48 {
        margin-top: 3rem;
    }

    .mve-stack-mt-md-64 {
        margin-top: 4rem;
    }

    .mve-stack-mt-md-96 {
        margin-top: 6rem;
    }

    .mve-stack-mb-md-16 {
        margin-bottom: 1rem;
    }

    .mve-stack-mb-md-32 {
        margin-bottom: 2rem;
    }

    .mve-stack-mb-md-48 {
        margin-bottom: 3rem;
    }

    .mve-stack-mb-md-64 {
        margin-bottom: 4rem;
    }

    .mve-stack-mb-md-96 {
        margin-bottom: 6rem;
    }
}
